Skip to content

Transactions Connect API (0.0.1)

The Transactions Connect API allows sellers to view and accept shipping requests, which initiates the shipping transaction. You can then track the transaction status until the buyer receives the item.

Download OpenAPI description
Languages
Servers
Production
https://connect.wallapop.com

A shipping transaction is initiated when a seller accepts a shipping request.

Operations

Retrieve pending shipping requests

Request

Returns a list of pending shipping requests awaiting the seller's acceptance. When a buyer purchases an item, a pending shipping request is generated. A request remains pending until the seller accepts it.

Security
oAuthWithPKCE
curl -i -X GET \
  https://connect.wallapop.com/transactions/requests/pending \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successfully retrieved a list of pending shipping requests.

Bodyapplication/json
requestsArray of objects(PendingRequestResponse)
Response
application/json
{ "requests": [ { "id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_id": "3e9wzv7zlmdr", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" }, "buyer_user_id": "v9owzy2j5g7x", "carrier_drop_off_options": { "options": [ { … } ] } } ] }

Request

Obtain the details of a specific shipping request by providing its ID.

Security
oAuthWithPKCE
Path
requestIdstring(uuid)required

The shipping request ID.

curl -i -X GET \
  'https://connect.wallapop.com/transactions/requests/{requestId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The shipping request was successfully retrieved.

Bodyapplication/json
idstring

The unique identifier for the shipping request.

Example: "bf44bd9c-b9fc-4e63-ba48-78539979738a"
item_idsArray of strings

The list contains items selected by the buyer, with each item identified by its unique ID.

Example: ["3e9wzv7zlmdr","abc123xyz","another-id"]
seller_revenueobject(SellerRevenue)

A detailed breakdown of the seller's revenue.

buyer_costobject(BuyerCost)

A detailed breakdown of the buyer's cost

buyer_informationobject or null(BuyerInformation)

Information about the buyer's information associated with the shipping request or transaction. If you want to manage logistics, you can contact commercial team to get access to this information.

buyer_user_idstring

A unique identifier generated by Wallapop to identify the buyer for this specific shipping request.

Example: "v9owzy2j5g7x"
carrier_drop_off_optionsobject(PendingRequestCarrierDropOffOptions)
statusstring

The transaction status can be accepted, pending, failed, rejected, cancelled, cancelled by the buyer, expired, or requires payment.

Example: "pending"
Response
application/json
{ "id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" }, "buyer_user_id": "v9owzy2j5g7x", "carrier_drop_off_options": { "options": [ { "drop_off_mode": "post office", "carrier": "Seur", "carrier_drop_off_cost": { "amount": 300.89, "currency": "EUR" } } ] }, "status": "pending" }

Accept a shipping request with home pickup

Request

Accept a shipping request with home pickup, where the carrier collects the package directly from the seller's shipping address. The client app must generate and pass a transaction_id.

Security
oAuthWithPKCE
Path
requestIdstring(uuid)required

The shipping request ID.

Bodyapplication/jsonrequired
transaction_idstring(uuid)required

The unique identifier of the new transaction generated by the API client.

Example: "a1b2c3d4-e5f6-1234-5678-90abcdef1234"
curl -i -X POST \
  'https://connect.wallapop.com/transactions/requests/{requestId}/accept/home-pickup' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "transaction_id": "a1b2c3d4-e5f6-1234-5678-90abcdef1234"
  }'

Responses

The shipping request was successfully accepted for home pickup. There is no content to display.

Response
No content

Accept a shipping request with post office drop off

Request

Accept a shipping request for post office drop-off, where the seller delivers the package to a designated post office. The client app must generate and pass a transaction_id.

Security
oAuthWithPKCE
Path
requestIdstring(uuid)required

The shipping request ID.

Bodyapplication/jsonrequired
transaction_idstring(uuid)required

The unique identifier of the new transaction generated by the API client.

Example: "a1b2c3d4-e5f6-1234-5678-90abcdef1234"
curl -i -X POST \
  'https://connect.wallapop.com/transactions/requests/{requestId}/accept/post-office' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "transaction_id": "a1b2c3d4-e5f6-1234-5678-90abcdef1234"
  }'

Responses

The shipping request was successfully accepted for post office drop off.

Response
No content

Retrieve pending shipping transactions

Request

Returns a list of pending shipping transactions. A shipping transaction is created when the seller accepts the corresponding shipping request. A pending transaction is one that has not been accepted, failed, rejected, cancelled, or requires payment.

Security
oAuthWithPKCE
curl -i -X GET \
  https://connect.wallapop.com/transactions/pending \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successfully retrieved pending shipping transactions.

Bodyapplication/json
transactionsArray of objects(PendingTransactionResponse)
Response
application/json
{ "transactions": [ { "id": "6ea1b3ec-7ac2-40c5-9ed0-d315b2f5f5bd", "request_id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_id": "3e9wzv7zlmdr", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_user_id": "v9owzy2j5g7x", "delivery_status": "delivered", "carrier_drop_off_mode": "post office", "carrier": "Seur", "carrier_tracking_code": "SEURESITM1S8DWA", "delivery_label_url": "https://delivery-labels-test.wallapop.com/a98f3a24-afb2-40d9-a0b6-5285224794fb.jpg", "delivery_id": "ffbb8752-bde8-40e4-ba59-bf6354f7edff", "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" } } ] }

Request

Obtain the details of a specific shipping transaction by providing its ID.

Security
oAuthWithPKCE
Path
transactionIdstring(uuid)required

The transaction ID.

curl -i -X GET \
  'https://connect.wallapop.com/transactions/{transactionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successfully retrieved the shipping transaction.

Bodyapplication/json
idstring

The transaction ID.

Example: "6ea1b3ec-7ac2-40c5-9ed0-d315b2f5f5bd"
request_idstring

The ID of the shipping request associated with this transaction.

Example: "bf44bd9c-b9fc-4e63-ba48-78539979738a"
item_idsArray of strings

The list of item IDs from the shipping request associated with the transaction.

Example: ["3e9wzv7zlmdr","abc123xyz","another-id"]
seller_revenueobject(SellerRevenue)

A detailed breakdown of the seller's revenue.

buyer_costobject(BuyerCost)

A detailed breakdown of the buyer's cost

buyer_user_idstring

A unique identifier generated by Wallapop to identify the buyer for the shipping request associated with this transaction.

Example: "v9owzy2j5g7x"
delivery_statusstring

The transaction status. The possible statuses are the same as in PendingTransactionResponse.

Enum"pending registration""pending delivery to carrier""attempt pickup failed""deposited at pudo""delivered to carrier""on hold at carrier""on hold instructions received""in transit""out for delivery""attempt delivery failed"
Example: "delivered"
carrier_drop_off_modestring

The method by which the carrier will receive the item either through the seller's drop-off at the post office or a pickup from the seller's home.

Enum"post office""home pickup"
carrierstring or null

The company or service responsible for transporting and delivering packages from the seller to the buyer. Examples include Correos, Seur, InPost, External if carrier agnostic, and other shipping providers.

Example: "Seur"
carrier_tracking_codestring or null

The shipment tracking code generated by the carrier.

Example: "SEURESITM1S8DWA"
delivery_label_urlstring or null

The shipping label URL.

Example: "https://delivery-labels-test.wallapop.com/a98f3a24-afb2-40d9-a0b6-5285224794fb.jpg"
delivery_idstring or null

The delivery id, set when the transaction is linked to a delivery.

Example: "ffbb8752-bde8-40e4-ba59-bf6354f7edff"
buyer_informationobject or null(BuyerInformation)

Information about the buyer's information associated with the shipping request or transaction. If you want to manage logistics, you can contact commercial team to get access to this information.

Response
application/json
{ "id": "6ea1b3ec-7ac2-40c5-9ed0-d315b2f5f5bd", "request_id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "item_ids": [ "3e9wzv7zlmdr", "abc123xyz", "another-id" ], "seller_revenue": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_cost": { "item_price": { "amount": 300.89, "currency": "EUR" }, "delivery_cost": { "amount": 300.89, "currency": "EUR" }, "fees_cost": { "amount": 300.89, "currency": "EUR" }, "total": { "amount": 300.89, "currency": "EUR" } }, "buyer_user_id": "v9owzy2j5g7x", "delivery_status": "delivered", "carrier_drop_off_mode": "post office", "carrier": "Seur", "carrier_tracking_code": "SEURESITM1S8DWA", "delivery_label_url": "https://delivery-labels-test.wallapop.com/a98f3a24-afb2-40d9-a0b6-5285224794fb.jpg", "delivery_id": "ffbb8752-bde8-40e4-ba59-bf6354f7edff", "buyer_information": { "name": "John Doe", "street": "123 Main St", "postal_code": 8001, "city": "Barcelona", "region": "Catalonia", "country": "ES", "phone_number": "+34612345678" } }

Register a delivery for a transaction

Request

Registers a delivery for a transaction with transaction_id. Seller needs to register the delivery when the package is registered into their carrier of choice.

Security
oAuthWithPKCE
Path
transactionIdstring(uuid)required

The transaction ID.

Bodyapplication/jsonrequired
shipment_to_buyerobject or null

Contains all necessary information for a delivery from seller to buyer.

shipment_to_sellerobject or null

Contains all necessary information for a delivery from buyer to seller.

curl -i -X POST \
  'https://connect.wallapop.com/transactions/{transactionId}/delivery/register' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipment_to_buyer": {
      "tracking_code": "string",
      "tracking_url": "string"
    },
    "shipment_to_seller": {
      "tracking_code": "string",
      "tracking_url": "string",
      "label_url": "string",
      "label_file_type": "PNG",
      "label_type": "BARCODE"
    }
  }'

Responses

Delivery was registered successfully.

Response
No content
Operations
Operations